{% extends 'base.html.twig' %}

{% block title %}Réserver l'annonce : {{ad.title}} !{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.8.0/css/bootstrap-datepicker.min.css" />
{% endblock %}

{% block body %}
    <div class="container">
        <h1>Réservez pour l'annonce : <em>{{ ad.title }}</em></h1>

        <p>Vous êtes sur le point de réserver le bien de <strong>{{ ad.author.fullName }}</strong>, dites nous tout, on s'occupe du reste !</p>

        {{ form_start(form) }}
        <div class="alert alert-light">
            <h2 class="h4">Commencez par nous dire quelles sont les dates qui vous intéressent !</h2>
            <div class="row">
                <div class="col">
                    {{form_row(form.startDate)}}
                </div>
                <div class="col">
                    {{form_row(form.endDate)}}
                </div>
            </div>
            <h4 id="price" class="mt-2">Montant du séjour : <strong><span id="amount">...</span> &euro;</strong></h4>
            <span id="days">0</span> nuit(s) à <span id="price2">{{ad.price | number_format(2, ',', ' ')}} € </span> par nuit

            <h4 class="mt-3">Vous avez un commentaire ?</h4>
            {{ form_row(form.comment) }}
        </div>


        <h2>Vous avez terminé !</h2>
        <p>Vacances de rêve ? Hébergement pour le boulot ? Peu importe, on est avec vous !</p>

        <button type="submit" class="btn btn-success animate-magic" data-animation="magic">Je réserve !</button>

        {{form_end(form)}}
    
    </div>
{% endblock %}

{% block javascripts %}

    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.8.0/js/bootstrap-datepicker.min.js"></script>

    <script>
        $(document).ready(function(){
            $('#booking_startDate, #booking_endDate').datepicker({
                format: 'dd/mm/yyyy',
                datesDisabled: [
                    {% for day in ad.notAvailableDays %}
                        "{{ day.format('d/m/Y') }}",
                    {% endfor %}
                ],
                startDate: new Date()
            });
            $('#booking_startDate, #booking_endDate').on('change', calculateAmount);
        });
        function calculateAmount() {
            // Je prend les dates
            // 22/11/2019
            // regex ??
            // 2019-11-22
            let endDate = new Date(
                $('#booking_endDate')
                    .val()
                    .replace(/(\d+)\/(\d+)\/(\d{4})/, '$3-$2-$1')
            );
            
            let startDate = new Date(
                $('#booking_startDate')
                    .val()
                    .replace(/(\d+)\/(\d+)\/(\d{4})/, '$3-$2-$1')
            );
            if(startDate && endDate && startDate < endDate){
                let DAY_TIME  = 24 * 60 * 60 * 1000;
                let interval  = endDate.getTime() - startDate.getTime();
                let days      = interval / DAY_TIME;
                let amount    = days * {{ ad.price }};
                $('#days').text(days);
                $('#amount').text(amount.toLocaleString('fr-FR'));
            }
        }
    
    </script>

{% endblock %}